summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/maps/0017_map_variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/maps/0017_map_variable_0')
-rwxr-xr-xtests/shell/testcases/maps/0017_map_variable_013
1 files changed, 12 insertions, 1 deletions
diff --git a/tests/shell/testcases/maps/0017_map_variable_0 b/tests/shell/testcases/maps/0017_map_variable_0
index 70cea88d..e01adb4c 100755
--- a/tests/shell/testcases/maps/0017_map_variable_0
+++ b/tests/shell/testcases/maps/0017_map_variable_0
@@ -2,9 +2,15 @@
set -e
+if [ "$NFT_TEST_HAVE_catchall_element" != n ] ; then
+ CATCHALL="* : 3,"
+else
+ CATCHALL=","
+fi
+
RULESET="define x = {
1.1.1.1 : 2,
- * : 3,
+ $CATCHALL
}
table ip x {
@@ -19,3 +25,8 @@ table ip x {
}"
$NFT -f - <<< "$RULESET"
+
+if [ "$NFT_TEST_HAVE_catchall_element" = n ] ; then
+ echo "Ran modified version of test due to NFT_TEST_HAVE_catchall_element=n (skipped)"
+ exit 77
+fi